#!/usr/bin/env python
# -*- coding:utf-8 -*-

#README.MD
#功能：删除proto文件内的所有注释。proto格式要求，注释不换行。
#说明：遍历文件每一行，发现“//”后，copy开始位置到该位置的内容，复制到输出文件。
#说明：查找sourceDir目录下所有.proto 文件，不查找子目录。删除注释后，输出目录，OutDir。
import os
import shutil
import fileinput

sourceDir = "."
outDir = os.path.join(sourceDir, "Out")
signStr = "//"

def checkDir():
    if not os.path.exists(outDir):
    	os.makedirs(outDir)

def delComment(fname):
	fileBuf = ""
	lineList = []
	print "delComment start：" + fname

	f = open(fname)
	lines = f.readlines()
	index = 0
	for line in lines:
		index = index + 1
		posIndex = line.find(signStr)
		if posIndex == 0:
			continue
		elif not posIndex == (-1):
			line = line[0 : posIndex]
		lineList.append(line)
	f.close()
	fileBuf = ''.join(lineList)
	output = open(os.path.join(outDir, fname), 'w')
	output.write(fileBuf)
	output.close()

	print "delComment Done: " + os.path.join(outDir, fname)
	
def main():
	checkDir()
	listFile = os.listdir(sourceDir)
	for pfile in listFile:
		if os.path.isfile(pfile):
			filename = os.path.join(sourceDir, pfile)
			if os.path.splitext(filename)[1] == ".proto":
				delComment(filename)

if __name__ == '__main__':
	main()